AgentFunctions (The Data Transfer Agent Service 2.0.0-SNAPSHOT API)
Date: 2013-08-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.event
Class AgentFunctions

    java.lang.Object
      org.gcube.datatransfer.agent.impl.event.AgentFunctions

    public class AgentFunctions

extends Object

Author:
  Nikolaos Drakopoulos(CERN)

Field Summary
`protected org.gcube.common.core.utils.logging.GCUBELog` | `logger`

Constructor Summary
`AgentFunctions()`

Method Summary
`static org.gcube.datatransfer.agent.stubs.datatransferagent.TransferOptions` | `getMappedTransferOptions(org.gcube.datatransfer.common.agent.Types.TransferOptions optionsFromMessage)`
`static org.gcube.datatransfer.agent.stubs.datatransferagent.PostProcessType[]` | `getPostProcessArray(List<org.gcube.datatransfer.common.agent.Types.postProcessType> list)`
`AgentResource` | `getResource()`
`ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome>` | `getTransferOutcomes(String transferId)`
`org.gcube.datatransfer.common.agent.Types.MonitorTransferReportMessage` | `monitorTransferWithProgress(String transferId)`
`FutureTask<Worker>` | `startAsyncTask(String id, org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source, org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final org.gcube.common.core.utils.logging.GCUBELog logger

Constructor Detail

### AgentFunctions

    public AgentFunctions()

Method Detail

### getResource

    public AgentResource getResource()
                              throws Exception

  Throws:
    `Exception`

### startAsyncTask

    public FutureTask<Worker> startAsyncTask(String id,
                                             org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source,
                                             org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)

### getTransferOutcomes

    public ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome> getTransferOutcomes(String transferId)
                                                                                             throws org.gcube.datatransfer.agent.stubs.datatransferagent.GetTransferOutcomesFault

  Throws:
    `org.gcube.datatransfer.agent.stubs.datatransferagent.GetTransferOutcomesFault`

### monitorTransferWithProgress

    public org.gcube.datatransfer.common.agent.Types.MonitorTransferReportMessage monitorTransferWithProgress(String transferId)
                                                                                                       throws org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferFault

  Throws:
    `org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferFault`

### getPostProcessArray

    public static org.gcube.datatransfer.agent.stubs.datatransferagent.PostProcessType[] getPostProcessArray(List<org.gcube.datatransfer.common.agent.Types.postProcessType> list)

### getMappedTransferOptions

    public static org.gcube.datatransfer.agent.stubs.datatransferagent.TransferOptions getMappedTransferOptions(org.gcube.datatransfer.common.agent.Types.TransferOptions optionsFromMessage)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.